## muscle 3.8.31

=== Makefile ===
muscle:
	chmod +x ./mk
	./mk

## muscle 3.8.31+dfsg

=== debian/changelog ===
muscle (1:3.8.31+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: Do not hard code build architecture compiler g++.
    Thanks to Helmut Grohne for the patch.
    Closes: #871513
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 08 Aug 2017 22:06:30 +0200

muscle (1:3.8.31+dfsg-2) unstable; urgency=low
 
  * Team upload
  [ Steffen Moeller and Hervé Ménager]
  * Introducing EDAM ontology annotation in
    debian/upstream/edam

  [ Canberk Koç ]
  * autopkgtest added
  * debian/example.fa added

  [ Andreas Tille ]
  * cme fix dpkg-control
  * hardening=+all

 -- Canberk Koç <canberkkoc@gmail.com>  Thu, 30 Jun 2016 04:31:26 +0300

muscle (1:3.8.31+dfsg-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream/metadata: Added citations
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - debian/source/format: 3.0 (quilt)
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Mark repackaged orig.tar properly with +dfsg
  * debhelper 9
  * Remove information from README.Debian that became redundant
    by debian/upstream/metadata
  * Remove README.source since it is redundant by debian/control
    Files-Excluded

  [ Dylan Aïssi ]
  * debian/copyright: Fixed lintian dep5-copyright-license-name-not-unique

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jan 2016 20:51:21 +0100

muscle (1:3.8.31-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release (Closes: #643443).
  * debian/control: Enhances: t-coffee.
  * Changed the doc-base section according to the new policy.
  * Updated my email address.
  * Updated debian/watch to new version scheme and download location.
  * Repack usptream archive and implemented a get-orig-source target
    (debian/rules, debian/README.source, debian/copyright).
  * Use Debhelper 8 (debian/control, debian/compat).
  * Build directly from debian/rules targets.
  * Corrected VCS URLs in debian/control.
  * Conforms to Debian Policy 3.9.2 (debian/control, no changes needed).

  [ David Paleino ]
  * removed myself from Uploaders (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Nov 2011 18:38:06 +0900

muscle (3.70+fix1-2) unstable; urgency=low

  * debian/control Conflicts: and Replaces: muscle-doc (Closes: #465607)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 14 Feb 2008 10:44:17 +0900

muscle (3.70+fix1-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version, buildable with GCC 4.3 (Closes: #462707)
    The version number was not increased upstream when the sources were
    changed. We name this new version in Debian "3.70+fix1".
  * Updated manual page.
  * Converted the source package to CDBS, dropped Makefile patch.
  * Fused muscle and muscle-doc.

  [ Nelson A. de Oliveira ]
  * Fixed watch file (Closes: #462827)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 06 Feb 2008 12:04:31 +0900

muscle (3.70-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release (bugfixes plus undocumented new features).
  * debian/control:
    - Add Subversion repository.
    - Swiched to quilt.
    - Enhaces: seaview because SeaView can call muscle to re-align sequences.
    - Moved the Homepage: field out from the package's description.
    - Using debhelper 5.
    - Removed [Biology] from package description as there are Debtags now.
    - Checked that muscle conforms to Policy 3.7.3.
    - Updated Steffen's email address.
  * Handling nostrip build option (policy 10.1) (Closes: #437599).
  * Updated manpage.
  * debian/copyright made machine-readable.

  [ Nelson A. de Oliveira ]
  * Added watch file.

  [ David Paleino ]
  * debian/manpage.xml moved to debian/muscle.1.xml
  * debian/muscle.1 added - statically built
  * debian/manpages removed - passing arguments to dh_installman
    directly
  * debian/control:
    - B-D updated (see above)
    - added myself to Uploaders
    - moved XS-Vcs-* to Vcs-*
  * debian/rules:
    - manpages statically built
    - minor changes

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat, 12 Jan 2008 16:55:48 +0900

muscle (3.60-1) unstable; urgency=low

  * New upstram release (Closes: Bug#361742).
  * New maintainers email addresses. 

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat,  5 Aug 2006 09:57:27 +0900

muscle (3.52-2) unstable; urgency=low

  * Added missing build dependencies (Closes: Bug#287684).

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed, 29 Dec 2004 21:50:47 +0200 

muscle (3.52-1) unstable; urgency=low

  * New upstream version.
  * Fix build on arch other than Pentium (Closes: Bug#285000).

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Sun, 18 Dec 2004 00:06:00 +0200

muscle (3.51-1) unstable; urgency=low

  * Initial Release (Closes: Bug#280411).

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Sun, 19 Sep 2004 00:51:19 +0200

=== debian/control ===
Source: muscle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/muscle.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/muscle.git
Homepage: http://www.drive5.com/muscle/

Package: muscle
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: seaview,
          t-coffee
Conflicts: muscle-doc
Provides: muscle-doc
Replaces: muscle-doc
Description: Multiple alignment program of protein sequences
 MUSCLE is a multiple alignment program for protein sequences. MUSCLE
 stands for multiple sequence comparison by log-expectation. In the
 authors tests, MUSCLE achieved the highest scores of all tested
 programs on several alignment accuracy benchmarks, and is also one of
 the fastest programs out there.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --buildsystem=makefile

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  http://www.drive5.com/muscle/downloads.htm http://www.drive5.com/muscle/downloads.+?/muscle(.*)_src\.tar\.gz

## muscle 3.8.31-0

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment
Version: 3.8.31-0
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide
        or amino acid sequences.
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
Packaged: 2012-10-15 10:25:12 UTC; alexk
Repository: CRAN
Date/Publication: 2012-10-15 13:57:16

## muscle 3.8.31-1

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment
Version: 3.8.31-1
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide
        or amino acid sequences.
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
Packaged: 2013-03-29 12:00:45 UTC; alexk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-29 15:14:48

## muscle 3.8.31-2

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment
Version: 3.8.31-2
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide or amino acid sequences.
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
Packaged: 2014-05-06 10:51:36 UTC; alexk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-05-07 10:45:55

## muscle 3.8.31-3

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment
Version: 3.8.31-3
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide or amino acid sequences.
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
Packaged: 2014-07-01 10:56:29 UTC; alexk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-07-04 17:23:02

## muscle 3.8.31-4

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment
Version: 3.8.31-4
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide or amino acid sequences.
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
Packaged: 2014-07-07 09:43:19 UTC; alexk
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-07-07 12:52:58

## muscle 3.8.1551

=== Makefile ===
# Porting notes:
# For Solaris and other platforms where the logf function
# is missing from the math library, add the following line
# to the end of muscle.h:
# #define logf(x)	((float) log(x))
# Using -static increases the executable size and thus gives a very
# small increase in start time, but is more portable (the binding
# to dynamic libraries often breaks when a new library is released).
# On OSX, using -static gives the error "ld: can't locate file for: -lcrt0.o",
# this is fixed by deleting "-static" from the LDLIBS line.

CFLAGS = -O3 -funroll-loops -Winline -DNDEBUG=1
LDLIBS = -lm -static
# LDLIBS = -lm

OBJ = .o
EXE =

RM = rm -f
CP = cp

GPP = g++
LD = $(GPP) $(CFLAGS)
CPP = $(GPP) -c $(CFLAGS) 

all: muscle

CPPSRC = $(sort $(wildcard *.cpp))
CPPOBJ	= $(subst .cpp,.o,$(CPPSRC))

$(CPPOBJ): %.o: %.cpp
	$(CPP) $< -o $@

muscle: $(CPPOBJ)
	$(LD) -o muscle $(CPPOBJ) $(LDLIBS)
	strip muscle

=== debian/changelog ===
muscle (1:3.8.1551-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass C++ compilers as GPP. (Closes: #922994)

  [ Andreas Tille ]
  * Delete outdated README.Debian
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 22:13:23 +0100

muscle (1:3.8.1551-1) unstable; urgency=medium

  * New upstream version
  * Review watch file (no need to exclude files any more
  * Remove useless get-orig-source target
  * Source is now in main dir
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 09:42:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'GPP=$$(CXX)'

=== debian/watch ===
version=4

https://www.drive5.com/muscle/downloads.htm muscle_src_(\d[\d.]+)\.tar\.gz

## muscle 3.52

=== Makefile ===
# Porting notes:
# For non-Intel platforms, change the -march option as appropriate.
# For Solaris and other platforms where the logf function
# is missing from the math library, add the following line
# to the end of muscle.h:
# #define logf(x)	((float) log(x))
# Using -static increases the executable size and thus gives a very
# small increase in start time, but is more portable (the binding
# to dynamic libraries often breaks when a new library is released).

CFLAGS = -O3 -march=pentiumpro -mcpu=pentiumpro -funroll-loops -Winline -DNDEBUG=1
LDLIBS = -lm -static
# LDLIBS = -lm

OBJ = .o
EXE =

RM = rm -f
CP = cp

GPP = g++
LD = $(GPP) $(CFLAGS)
CPP = $(GPP) -c $(CFLAGS) 
CC = gcc -c $(CFLAGS) 

all: muscle

CPPSRC = $(sort $(wildcard *.cpp))
CPPOBJ	= $(subst .cpp,.o,$(CPPSRC))

$(CPPOBJ): %.o: %.cpp
	$(CPP) $< -o $@

muscle: $(CPPOBJ)
	$(LD) -o muscle $(CPPOBJ) $(LDLIBS)
	strip muscle

## muscle 3.52.0

=== DESCRIPTION ===
Package: muscle
Type: Package
Title: Multiple Sequence Alignment with MUSCLE
Version: 3.52.0
Date: 2012-10-05
Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
Description: MUSCLE performs multiple sequence alignments of nucleotide
        or amino acid sequences.
biocViews: MultipleSequenceAlignment, Alignment, Sequencing, Genetics,
        SequenceMatching, DataImport
Depends: Biostrings
License: Unlimited
URL: http://www.drive5.com/muscle/
LazyLoad: yes
LazyData: yes
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/muscle
git_branch: RELEASE_3_22
git_last_commit: 1c5d26f
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
Packaged: 2025-10-30 05:21:41 UTC; biocbuild

## muscle 3.53.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: muscle
 Type: Package
 Title: Multiple Sequence Alignment with MUSCLE
-Version: 3.52.0
+Version: 3.53.0
 Date: 2012-10-05
 Author: Algorithm by Robert C. Edgar. R port by Alex T. Kalinka.
 Maintainer: Alex T. Kalinka <alex.t.kalinka@gmail.com>
@@ -16,9 +16,9 @@
 LazyData: yes
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/muscle
-git_branch: RELEASE_3_22
-git_last_commit: 1c5d26f
+git_branch: devel
+git_last_commit: e0bf042
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
-Packaged: 2025-10-30 05:21:41 UTC; biocbuild
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31
+Packaged: 2025-10-31 23:05:43 UTC; biocbuild

## muscle 5.1

=== debian/changelog ===
muscle (1:5.1-1) unstable; urgency=medium

  * Muscle moved to Github and issued a rewritten release
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 3.52-1.
  * d/copyright: Fix source location
  * d/rules: New source directory
  * Do not provide outdated documentation
  * No static linking
  * New help2man based manpage
  * Add NEWS to inform users about changed command line options
  * Make long description more verbose about new version

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 15:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/muscle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/muscle.git
-Homepage: http://www.drive5.com/muscle/
+Build-Depends: debhelper-compat (= 13), debhelper
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/muscle
+Vcs-Git: https://salsa.debian.org/med-team/muscle.git
+Homepage: https://www.drive5.com/muscle/
+Rules-Requires-Root: no
 
 Package: muscle
 Architecture: any
@@ -26,3 +27,26 @@
  authors tests, MUSCLE achieved the highest scores of all tested
  programs on several alignment accuracy benchmarks, and is also one of
  the fastest programs out there.
+ .
+ Muscle v5 is a major re-write of MUSCLE based on new algorithms.
+ .
+ Users should be aware that command line arguments compared to version
+ 3.x of MUSCLE have changed!
+ .
+ Highest accuracy, scalable to thousands of sequences
+ .
+ Compared to previous versions, Muscle v5 is much more accurate, is often
+ faster, and scales to much larger datasets. At the time of writing (late
+ 2021), Muscle v5 has the highest scores on multiple alignment benchmarks
+ including Balibase, Bralibase, Prefab and Balifam. It can align tens of
+ thousands of sequences with high accuracy on a low-cost commodity computer
+ (say, an 8-core Intel CPU with 32 Gb RAM). On large datasets, Muscle v5
+ is 20-30% more accurate than MAFFT and Clustal-Omega.
+ .
+ Alignment ensembles
+ .
+ Muscle v5 can generate ensembles of high-accuracy alternative alignments. 
+ All replicates have equal average accuracy on benchmark test, including 
+ the MSA made with default parameters. By comparing results of downstream 
+ analysis (trees, structure prediction...) on different replicates, you can 
+ assess the effects of alignment errors on your study.

## muscle 5.1.0

=== src/Makefile ===
# The $(OS) variable is the o/s name returned by uname, which is 
# used as the sub-directory name under src/ where object files
# and the executable are stored. This allows several target
# operating systems in the same directory structure.
# Typical values are:

#	Platform    Value of $(OS)
#   --------    --------------
#	Linux       linux
#	Mac OSX     Darwin
#	Cygwin      CYGWIN_NT-10.0

# Building on Mac OSX is challenging because Apple does not support gcc or
# the OMP threading library. Hacks to install gcc and OMP vary by OSX release.
# This Makefile works with the AWS Catalina v10.15.7 AMI. With this AMI, 
# running 'brew install gcc' currently installs gcc v11.

OS := $(shell uname)

CPPFLAGS := $(CPPFLAGS) -DNDEBUG -pthread

CXX := g++
ifeq ($(OS),Darwin)
	CXX := g++-11
endif

CXXFLAGS := $(CXXFLAGS) -O3 -fopenmp -ffast-math

LDFLAGS := $(LDFLAGS) -O3 -fopenmp -pthread -lpthread ${LDFLAGS2}

HDRS := $(shell echo *.h)
OBJS := $(shell echo *.cpp | sed "-es/^/$(OS)\//" | sed "-es/ / $(OS)\//g" | sed "-es/\.cpp/.o/g")
SRCS := $(shell ls *.cpp *.h)

.PHONY: clean

$(OS)/muscle : gitver.txt $(OS)/ $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) -o $@

	# Warning: do not add -d option to strip, this is not portable
	strip $(OS)/muscle

gitver.txt : $(SRCS)
	bash ./gitver.bash

$(OS)/ :
	mkdir -p $(OS)/

$(OS)/%.o : %.cpp $(HDRS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -rf gitver.txt $(OS)/

=== debian/changelog ===
muscle (1:5.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Charles Plessy ]
  * License is GPL-3

  [ Lance Lin ]
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * d/patches/makefile.patch: Refresh patch to match new source

 -- Lance Lin <lqi254@protonmail.com>  Sat, 05 Nov 2022 19:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13), debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/muscle
 Vcs-Git: https://salsa.debian.org/med-team/muscle.git
 Homepage: https://www.drive5.com/muscle/
@@ -45,8 +45,8 @@
  .
  Alignment ensembles
  .
- Muscle v5 can generate ensembles of high-accuracy alternative alignments. 
- All replicates have equal average accuracy on benchmark test, including 
- the MSA made with default parameters. By comparing results of downstream 
- analysis (trees, structure prediction...) on different replicates, you can 
+ Muscle v5 can generate ensembles of high-accuracy alternative alignments.
+ All replicates have equal average accuracy on benchmark test, including
+ the MSA made with default parameters. By comparing results of downstream
+ analysis (trees, structure prediction...) on different replicates, you can
  assess the effects of alignment errors on your study.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- 'GPP=$$(CXX)'

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/rcedgar/muscle/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
